Loading...
Searching...
No Matches
queue_lockable.h File Reference
`#include "platform.h"`
`#include "integral_limits.h"`
`#include "memory.h"`
`#include "memory_model.h"`
`#include "parameter_type.h"`
`#include "placement_new.h"`
`#include "utility.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Classes

class | etl::queue_lockable_exception
class | etl::queue_lockable_empty
class | etl::queue_lockable_base< VMemory_Model >
class | etl::iqueue_lockable< T, VMemory_Model >
| This is the base for all queues that contain a particular type. More...
class | etl::queue_lockable< T, VSize, VMemory_Model >

## Namespaces

namespace | etl

## Variables

template<typename T, size_t VSize, size_t VMemory_Model>
ETL_CONSTANT queue_lockable< T, VSize, VMemory_Model >::size_type | etl::queue_lockable< T, VSize, VMemory_Model >::Max_Size
template<typename T, size_t VSize, size_t VMemory_Model>
ETL_CONSTANT queue_lockable< T, VSize, VMemory_Model >::size_type | etl::queue_lockable< T, VSize, VMemory_Model >::Memory_Model